import LocalAddress = require("./LocalAddress");
declare namespace BinderAddress {
    interface BinderAddressMembers {
        packageName: string;
        userId: number;
    }
}
/**
 * This is the generated struct type BinderAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>BinderAddress client address
 */
declare class BinderAddress extends LocalAddress {
    static _typeName: string;
    _typeName: string;
    /**
     * BinderAddress package name
     */
    packageName: string;
    /**
     * BinderAddress process user ID
     */
    userId: number;
    /**
     * @param members - an object containing the individual member elements
     * @param members.packageName - BinderAddress package name
     * @param members.userId - BinderAddress process user ID
     */
    constructor(members: BinderAddress.BinderAddressMembers);
    static checkMembers(_instance: BinderAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type BinderAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type BinderAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = BinderAddress;
