"use strict";
const Address = require("./Address");
/**
 * This is the generated struct type BrowserAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Browser address
 */
class BrowserAddress extends Address {
    /**
     * @param members - an object containing the individual member elements
     * @param members.windowId - the ID of the browser window
     */
    constructor(members) {
        super(members);
        this._typeName = "joynr.system.RoutingTypes.BrowserAddress";
        if (members) {
            this.windowId = members.windowId;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.windowId, "String", "members.windowId");
    }
    static getMemberType(memberName) {
        if (BrowserAddress._memberTypes[memberName] !== undefined) {
            return BrowserAddress._memberTypes[memberName];
        }
    }
}
BrowserAddress._typeName = "joynr.system.RoutingTypes.BrowserAddress";
/**
 * The MAJOR_VERSION of the struct type BrowserAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
BrowserAddress.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type BrowserAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
BrowserAddress.MINOR_VERSION = 0;
BrowserAddress._memberTypes = {
    windowId: "String"
};
module.exports = BrowserAddress;
