import Address = require("./Address");
declare namespace MqttAddress {
    interface MqttAddressMembers {
        brokerUri: string;
        topic: string;
    }
}
/**
 * This is the generated struct type MqttAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Mqtt Address
 */
declare class MqttAddress extends Address {
    static _typeName: string;
    _typeName: string;
    /**
     * Mqtt broker uri
     */
    brokerUri: string;
    /**
     * MQTT topic identification
     */
    topic: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.brokerUri - Mqtt broker uri
     * @param members.topic - MQTT topic identification
     */
    constructor(members: MqttAddress.MqttAddressMembers);
    static checkMembers(_instance: MqttAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type MqttAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type MqttAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = MqttAddress;
