import JoynrEnum = require("../../../../joynr/types/JoynrEnum");
declare namespace MqttProtocol {
    type MqttProtocolNames = "TCP" | "MQTT" | "MQTTS";
}
/**
 * This is the generated enum type MqttProtocol: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:38 CET 2022
 * 	* <br/><br/>MQTT protocol type
 */
declare class MqttProtocol extends JoynrEnum<MqttProtocol.MqttProtocolNames> {
    static _typeName: string;
    _typeName: string;
    constructor({ name, value }: {
        name: MqttProtocol.MqttProtocolNames;
        value: MqttProtocol.MqttProtocolNames | number;
    });
    /**
     * The MAJOR_VERSION of the enum type MqttProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the enum type MqttProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    /**
     * <br/><br/>TCP (non-secure)
     */
    static TCP: MqttProtocol;
    /**
     * <br/><br/>MQTT (non-secure)
     */
    static MQTT: MqttProtocol;
    /**
     * <br/><br/>MQTT (secure)
     */
    static MQTTS: MqttProtocol;
}
export = MqttProtocol;
