"use strict";
const LocalAddress = require("./LocalAddress");
/**
 * This is the generated struct type UdsAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Unix domain socket server address
 */
class UdsAddress extends LocalAddress {
    /**
     * @param members - an object containing the individual member elements
     * @param members.path - Unix domain socket server path
     */
    constructor(members) {
        super(members);
        this._typeName = "joynr.system.RoutingTypes.UdsAddress";
        if (members) {
            this.path = members.path;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.path, "String", "members.path");
    }
    static getMemberType(memberName) {
        if (UdsAddress._memberTypes[memberName] !== undefined) {
            return UdsAddress._memberTypes[memberName];
        }
    }
}
UdsAddress._typeName = "joynr.system.RoutingTypes.UdsAddress";
/**
 * The MAJOR_VERSION of the struct type UdsAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
UdsAddress.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type UdsAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
UdsAddress.MINOR_VERSION = 0;
UdsAddress._memberTypes = {
    path: "String"
};
module.exports = UdsAddress;
