import LocalAddress = require("./LocalAddress");
declare namespace UdsClientAddress {
    interface UdsClientAddressMembers {
        id: string;
    }
}
/**
 * This is the generated struct type UdsClientAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Unix domain socket client address
 */
declare class UdsClientAddress extends LocalAddress {
    static _typeName: string;
    _typeName: string;
    /**
     * Unix domain socket client ID
     */
    id: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.id - Unix domain socket client ID
     */
    constructor(members: UdsClientAddress.UdsClientAddressMembers);
    static checkMembers(_instance: UdsClientAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type UdsClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type UdsClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = UdsClientAddress;
