import LocalAddress = require("./LocalAddress");
declare namespace WebSocketClientAddress {
    interface WebSocketClientAddressMembers {
        id: string;
    }
}
/**
 * This is the generated struct type WebSocketClientAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Websocket client address
 */
declare class WebSocketClientAddress extends LocalAddress {
    static _typeName: string;
    _typeName: string;
    /**
     * Websocket client ID
     */
    id: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.id - Websocket client ID
     */
    constructor(members: WebSocketClientAddress.WebSocketClientAddressMembers);
    static checkMembers(_instance: WebSocketClientAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type WebSocketClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type WebSocketClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = WebSocketClientAddress;
