import JoynrEnum = require("../../../joynr/types/JoynrEnum");
declare namespace ChangeType {
    type ChangeTypeNames = "ADD" | "UPDATE" | "REMOVE";
}
/**
 * This is the generated enum type ChangeType: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:39 CET 2022
 * 	* <br/><br/>The type of a change.
 */
declare class ChangeType extends JoynrEnum<ChangeType.ChangeTypeNames> {
    static _typeName: string;
    _typeName: string;
    constructor({ name, value }: {
        name: ChangeType.ChangeTypeNames;
        value: ChangeType.ChangeTypeNames | number;
    });
    /**
     * The MAJOR_VERSION of the enum type ChangeType is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the enum type ChangeType is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    /**
     * <br/><br/>Entry was added. There was no entry with the same
     * key before.
     */
    static ADD: ChangeType;
    /**
     * <br/><br/>Entry was updated. An entry with the key already
     * existed.
     */
    static UPDATE: ChangeType;
    /**
     * <br/><br/>Entry was removed.
     */
    static REMOVE: ChangeType;
}
export = ChangeType;
