"use strict";
const JoynrEnum = require("../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type ChangeType: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:39 CET 2022
 * 	* <br/><br/>The type of a change.
 */
class ChangeType extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.types.ChangeType";
    }
}
ChangeType._typeName = "joynr.types.ChangeType";
/**
 * The MAJOR_VERSION of the enum type ChangeType is GENERATED FROM THE INTERFACE DESCRIPTION
 */
ChangeType.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type ChangeType is GENERATED FROM THE INTERFACE DESCRIPTION
 */
ChangeType.MINOR_VERSION = 0;
/**
 * <br/><br/>Entry was added. There was no entry with the same
 * key before.
 */
ChangeType.ADD = new ChangeType({
    name: "ADD",
    value: "ADD"
});
/**
 * <br/><br/>Entry was updated. An entry with the key already
 * existed.
 */
ChangeType.UPDATE = new ChangeType({
    name: "UPDATE",
    value: "UPDATE"
});
/**
 * <br/><br/>Entry was removed.
 */
ChangeType.REMOVE = new ChangeType({
    name: "REMOVE",
    value: "REMOVE"
});
module.exports = ChangeType;
