"use strict";
const JoynrEnum = require("../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type DiscoveryScope: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:39 CET 2022
 * 	* <br/><br/>Enumeration specifying the discovery scope choices
 */
class DiscoveryScope extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.types.DiscoveryScope";
    }
}
DiscoveryScope._typeName = "joynr.types.DiscoveryScope";
/**
 * The MAJOR_VERSION of the enum type DiscoveryScope is GENERATED FROM THE INTERFACE DESCRIPTION
 */
DiscoveryScope.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type DiscoveryScope is GENERATED FROM THE INTERFACE DESCRIPTION
 */
DiscoveryScope.MINOR_VERSION = 0;
/**
 * <br/><br/>Consider only locally registered providers.
 */
DiscoveryScope.LOCAL_ONLY = new DiscoveryScope({
    name: "LOCAL_ONLY",
    value: "LOCAL_ONLY"
});
/**
 * <br/><br/>Consider only locally registered providers, if no results are found,
 * query global cache as well. If no results are found in cache, query global capabilities
 * directory.
 */
DiscoveryScope.LOCAL_THEN_GLOBAL = new DiscoveryScope({
    name: "LOCAL_THEN_GLOBAL",
    value: "LOCAL_THEN_GLOBAL"
});
/**
 * <br/><br/>Consider both locally registered providers and globally ones. If no
 * results are found in cache, query global capabilities directory.
 */
DiscoveryScope.LOCAL_AND_GLOBAL = new DiscoveryScope({
    name: "LOCAL_AND_GLOBAL",
    value: "LOCAL_AND_GLOBAL"
});
/**
 * <br/><br/>Consider only globally registered providers. If no results are found
 * in cache, query global capabilities directory.
 */
DiscoveryScope.GLOBAL_ONLY = new DiscoveryScope({
    name: "GLOBAL_ONLY",
    value: "GLOBAL_ONLY"
});
module.exports = DiscoveryScope;
