import JoynrEnum = require("../../../joynr/types/JoynrEnum");
declare namespace ProviderScope {
    type ProviderScopeNames = "GLOBAL" | "LOCAL";
}
/**
 * This is the generated enum type ProviderScope: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:39 CET 2022
 * 	* <br/><br/>the scope in which the provider is registered
 */
declare class ProviderScope extends JoynrEnum<ProviderScope.ProviderScopeNames> {
    static _typeName: string;
    _typeName: string;
    constructor({ name, value }: {
        name: ProviderScope.ProviderScopeNames;
        value: ProviderScope.ProviderScopeNames | number;
    });
    /**
     * The MAJOR_VERSION of the enum type ProviderScope is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the enum type ProviderScope is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    /**
     * <br/><br/>indicates that the provider should be registered locally and globally.
     * An add will be performed in the global capabilities directory.
     */
    static GLOBAL: ProviderScope;
    /**
     * <br/><br/>indicates that the provider is only for use with the local cluster
     * controller.
     */
    static LOCAL: ProviderScope;
}
export = ProviderScope;
