"use strict";
const JoynrCompound = require("../../../joynr/types/JoynrCompound");
/**
 * This is the generated struct type Version: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:39 CET 2022
 * <br/><br/>a version information
 */
class Version extends JoynrCompound {
    /**
     * @param members - an object containing the individual member elements
     * @param members.majorVersion - the major version id
     * @param members.minorVersion - the minor version id
     */
    constructor(members) {
        super();
        this._typeName = "joynr.types.Version";
        if (members) {
            this.majorVersion = members.majorVersion;
            this.minorVersion = members.minorVersion;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.majorVersion, "Number", "members.majorVersion");
        _check(_instance.minorVersion, "Number", "members.minorVersion");
    }
    static getMemberType(memberName) {
        if (Version._memberTypes[memberName] !== undefined) {
            return Version._memberTypes[memberName];
        }
    }
}
Version._typeName = "joynr.types.Version";
/**
 * The MAJOR_VERSION of the struct type Version is GENERATED FROM THE INTERFACE DESCRIPTION
 */
Version.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type Version is GENERATED FROM THE INTERFACE DESCRIPTION
 */
Version.MINOR_VERSION = 0;
Version._memberTypes = {
    majorVersion: "Integer",
    minorVersion: "Integer"
};
module.exports = Version;
