import { Storage } from "./interface/Persistency";
declare class MemoryStorage implements Storage {
    map: Record<string, any>;
    /**
     * MemoryStorage has the same Interface as LocalStorage and is used when persistency is disabled,
     * but the logic relies on the persistency.
     * @constructor
     */
    constructor();
    setItem(key: string, value: any): void;
    getItem(key: string): any;
    removeItem(key: string): void;
    clear(): void;
}
export = MemoryStorage;
