/**
 * Adapts the nodejs websocket lib WebSocket-Node to the WebSocket client API.
 * See: http://dev.w3.org/html5/websockets/#the-websocket-interface
 *
 */
import ws from "ws";
interface KeyChain {
    tlsCert: any;
    tlsKey: any;
    tlsCa: any;
    checkServerIdentity: any;
}
declare class WebSocketNode extends ws {
    static WSN_CONNECTING: 0;
    static WSN_OPEN: 1;
    static WSN_CLOSING: 2;
    static WSN_CLOSED: 3;
    constructor(remoteUrl: string, keychain: KeyChain);
}
export = WebSocketNode;
