export interface Storage {
    setItem(key: string, value: any): void;
    getItem(key: string): any;
    removeItem(key: string): void;
    clear(): void;
}
export interface Persistency extends Storage {
    init(): Promise<void>;
    shutdown(): Promise<void>;
}
export interface PersistencySettings {
    clearPersistency: boolean | undefined;
    location?: string;
}
