import OnChangeSubscriptionQos from "../../proxy/OnChangeSubscriptionQos";
import BroadcastFilterParameters = require("../../proxy/BroadcastFilterParameters");
declare class BroadcastSubscriptionRequest {
    qos: OnChangeSubscriptionQos;
    /**
     * @name BroadcastSubscriptionRequest#subscribedToName
     * @type String
     */
    subscribedToName: string;
    /**
     * @name BroadcastSubscriptionRequest#subscriptionId
     * @type String
     */
    subscriptionId: string;
    filterParameters?: BroadcastFilterParameters;
    _typeName: string;
    static _typeName: string;
    /**
     * @constructor
     * @param settings.subscriptionId Id of the new subscription
     * @param settings.subscribedToName the name of the element to subscribe to
     * @param [settings.subscriptionQos] the subscriptionQos
     */
    constructor(settings: {
        subscriptionId: string;
        subscribedToName: string;
        filterParameters?: BroadcastFilterParameters;
        qos: OnChangeSubscriptionQos;
    });
}
export = BroadcastSubscriptionRequest;
