export interface ReplySettings {
    response?: any[];
    error?: any;
    requestReplyId: string;
}
export interface Reply extends ReplySettings {
    _typeName: "joynr.Reply";
}
/**
 * @param settings.requestReplyId
 * @param [settings.response] the response may be undefined
 * @param [settings.error] The exception object in case of request failure
 */
export declare function create(settings: ReplySettings): Reply;
