interface RequestParams {
    requestReplyId?: string;
    methodName: string;
    paramDatatypes?: string[];
    params?: any[];
}
export interface Request {
    requestReplyId: string;
    methodName: string;
    paramDatatypes: string[];
    params?: any[];
    _typeName: string;
}
/**
 * @param settings.requestReplyId
 * @param settings.methodName
 * @param [settings.paramDatatypes] parameter datatypes
 * @param [settings.params] parameters
 */
export declare function create(settings: RequestParams): Request;
export {};
