import SubscriptionQos = require("../../proxy/SubscriptionQos");
import OnChangeSubscriptionQos = require("../../proxy/OnChangeSubscriptionQos");
import OnChangeWithKeepAliveSubscriptionQos = require("../../proxy/OnChangeWithKeepAliveSubscriptionQos");
import PeriodicSubscriptionQos = require("../../proxy/PeriodicSubscriptionQos");
declare class SubscriptionRequest {
    subscriptionId: string;
    subscribedToName: string;
    qos: SubscriptionQos | OnChangeSubscriptionQos | OnChangeWithKeepAliveSubscriptionQos | PeriodicSubscriptionQos;
    _typeName: string;
    static _typeName: string;
    /**
     * @constructor
     * @param settings
     * @param settings.subscriptionId Id of the new subscription
     * @param settings.subscribedToName the name of the element to subscribe to
     * @param [settings.qos] the subscriptionQos
     */
    constructor(settings: {
        subscriptionId: string;
        subscribedToName: string;
        qos?: SubscriptionQos | OnChangeSubscriptionQos | OnChangeWithKeepAliveSubscriptionQos | PeriodicSubscriptionQos;
    });
}
export = SubscriptionRequest;
