"use strict";
const PeriodicSubscriptionQos = require("../../proxy/PeriodicSubscriptionQos");
class SubscriptionRequest {
    /**
     * @constructor
     * @param settings
     * @param settings.subscriptionId Id of the new subscription
     * @param settings.subscribedToName the name of the element to subscribe to
     * @param [settings.qos] the subscriptionQos
     */
    constructor(settings) {
        this._typeName = "joynr.SubscriptionRequest";
        this.subscriptionId = settings.subscriptionId;
        this.subscribedToName = settings.subscribedToName;
        this.qos = settings.qos || new PeriodicSubscriptionQos();
    }
}
SubscriptionRequest._typeName = "joynr.SubscriptionRequest";
module.exports = SubscriptionRequest;
