import JoynrMessage from "./JoynrMessage";
declare type Address = any;
declare class MessageReplyToAddressCalculator {
    private checkExistingReplyAddress;
    private replyToAddress;
    /**
     * @constructor
     * @param settings the settings object for this constructor call
     * @param settings.replyToAddress the address the reply should be send to
     */
    constructor(settings: {
        replyToAddress?: Address;
    });
    private checkForExistingReplyToAddress;
    /**
     * Helper function allowing to share the serialized reply to address with the calculator after object creation
     */
    setReplyToAddress(serializedAddress: string): void;
    setReplyTo(message: JoynrMessage): void;
}
export = MessageReplyToAddressCalculator;
