import * as BrowserAddress from "../../../generated/joynr/system/RoutingTypes/BrowserAddress";
import BrowserMessagingStub from "./BrowserMessagingStub";
import WebMessagingStub = require("../webmessaging/WebMessagingStub");
declare class BrowserMessagingStubFactory {
    private readonly webMessagingStub;
    /**
     * @constructor
     *
     * @param settings
     * @param settings.webMessagingStub an initialized sender that has the default window already set
     */
    constructor(settings: {
        webMessagingStub: WebMessagingStub;
    });
    /**
     * @param address the address to generate a messaging stub for
     */
    build(address: BrowserAddress): BrowserMessagingStub;
}
export = BrowserMessagingStubFactory;
