import * as BrowserAddress from "../../../generated/joynr/system/RoutingTypes/BrowserAddress";
import JoynrMessage = require("../JoynrMessage");
declare class BrowserMulticastAddressCalculator {
    private settings;
    /**
     * @constructor BrowserMulticastAddressCalculator
     * @param settings
     * @param settings.globalAddress
     */
    constructor(settings: {
        globalAddress: BrowserAddress;
    });
    /**
     * Calculates the multicast address for the submitted joynr message
     *
     * @param _message
     * @return {Address} the multicast address
     */
    calculate(_message: JoynrMessage): BrowserAddress;
}
export = BrowserMulticastAddressCalculator;
