import InProcessMessagingSkeleton = require("./InProcessMessagingSkeleton");
declare class InProcessAddress {
    private inProcessMessagingSkeleton;
    _typeName: string;
    static _typeName: string;
    /**
     * @param inProcessMessagingSkeleton the skeleton that should be addressed in process
     */
    constructor(inProcessMessagingSkeleton: InProcessMessagingSkeleton);
    /**
     * The receive function from the corresponding local messaging receiver
     *
     * @returns the skeleton that should be addressed
     */
    getSkeleton(): InProcessMessagingSkeleton;
    equals(other: any): boolean;
}
export = InProcessAddress;
