import JoynrMessage = require("../JoynrMessage");
/**
 * @name InProcessMessagingSkeleton
 * @constructor
 */
declare class InProcessMessagingSkeleton {
    private onReceive;
    /**
     * @param joynrMessage
     * @returns A+ promise object
     */
    receiveMessage(joynrMessage: JoynrMessage): Promise<any>;
    /**
     * A setter for the callback function that will receive the incoming messages
     *
     * @param newOnReceive the function that is called with the incoming JoynrMessage
     */
    registerListener(newOnReceive: Function): void;
}
export = InProcessMessagingSkeleton;
