"use strict";
/**
 * @name InProcessMessagingSkeleton
 * @constructor
 */
class InProcessMessagingSkeleton {
    /**
     * @param joynrMessage
     * @returns A+ promise object
     */
    receiveMessage(joynrMessage) {
        return this.onReceive(joynrMessage);
    }
    /**
     * A setter for the callback function that will receive the incoming messages
     *
     * @param newOnReceive the function that is called with the incoming JoynrMessage
     */
    registerListener(newOnReceive) {
        this.onReceive = newOnReceive;
    }
}
module.exports = InProcessMessagingSkeleton;
