import JoynrMessage = require("../JoynrMessage");
import InProcessMessagingSkeleton = require("./InProcessMessagingSkeleton");
declare class InProcessMessagingStub {
    private inProcessMessagingSkeleton;
    /**
     * @constructor
     *
     * @param inProcessMessagingSkeleton the skeleton to send the joynr messages to
     */
    constructor(inProcessMessagingSkeleton: InProcessMessagingSkeleton);
    /**
     * @param joynrMessage the message to transmit
     * @returns A+ promise object
     */
    transmit(joynrMessage: JoynrMessage): Promise<any>;
}
export = InProcessMessagingStub;
