"use strict";
class InProcessMessagingStub {
    /**
     * @constructor
     *
     * @param inProcessMessagingSkeleton the skeleton to send the joynr messages to
     */
    constructor(inProcessMessagingSkeleton) {
        this.inProcessMessagingSkeleton = inProcessMessagingSkeleton;
    }
    /**
     * @param joynrMessage the message to transmit
     * @returns A+ promise object
     */
    transmit(joynrMessage) {
        return this.inProcessMessagingSkeleton.receiveMessage(joynrMessage);
    }
}
module.exports = InProcessMessagingStub;
