"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const MqttMessagingStub_1 = __importDefault(require("./MqttMessagingStub"));
class MqttMessagingStubFactory {
    /**
     * @constructor
     * @param settings
     * @param settings.client the mqtt client
     */
    constructor(settings) {
        this.client = settings.client;
    }
    build(address) {
        return new MqttMessagingStub_1.default({
            address,
            client: this.client
        });
    }
}
module.exports = MqttMessagingStubFactory;
