import UdsAddress from "../../../generated/joynr/system/RoutingTypes/UdsAddress";
import JoynrMessage = require("../JoynrMessage");
declare class UdsMulticastAddressCalculator {
    private globalAddress;
    /**
     * @constructor UdsMulticastAddressCalculator
     * @param settings
     * @param settings.globalAddress
     */
    constructor(settings: {
        globalAddress: UdsAddress;
    });
    /**
     * Calculates the multicast address for the submitted joynr message
     *
     * @param _message
     * @return the multicast address
     */
    calculate(_message: JoynrMessage): UdsAddress;
}
export = UdsMulticastAddressCalculator;
