import WebMessagingStub from "./WebMessagingStub";
import WebMessagingAddress = require("./WebMessagingAddress");
/**
 * @constructor
 * @name WebMessagingStubFactory
 */
declare class WebMessagingStubFactory {
    /**
     * @param address the address to generate a messaging stub for
     */
    build(address: WebMessagingAddress): WebMessagingStub;
}
export = WebMessagingStubFactory;
