import * as WebSocketAddress from "../../../generated/joynr/system/RoutingTypes/WebSocketAddress";
import JoynrMessage = require("../JoynrMessage");
declare class WebSocketMulticastAddressCalculator {
    private settings;
    /**
     * @constructor WebSocketMulticastAddressCalculator
     * @param settings
     * @param settings.globalAddress
     */
    constructor(settings: {
        globalAddress: WebSocketAddress;
    });
    /**
     * Calculates the multicast address for the submitted joynr message
     *
     * @param _message
     * @return the multicast address
     */
    calculate(_message: JoynrMessage): WebSocketAddress;
}
export = WebSocketMulticastAddressCalculator;
