interface BroadcastOutputParameters {
    /**
     * setter and getter functions or public members.
     **/
    [key: string]: ((arg: any) => BroadcastOutputParameters) | (() => any) | any;
}
declare class BroadcastOutputParameters {
    outputParameters: any[];
    _typeName: string;
    /**
     * Constructor of BroadcastOutputParameters object used for subscriptions in generated provider objects
     *
     * @param [outputParameterProperties] the outputParameters object for the constructor call
     */
    constructor(outputParameterProperties: Record<string, any>);
}
export = BroadcastOutputParameters;
