import { LoggingEvent } from "./JoynrLogger";
/**
 * A log4javascript Appender that sends a logged message from a WebWorker to the main context to
 * log it there
 *
 * @name ConsoleAppender
 * @constructor
 */
declare class ConsoleAppender {
    /**
     * Implementing the appender function of log4javascript appenders
     */
    append(loggingEvent: LoggingEvent): void;
    toString(): string;
}
export = ConsoleAppender;
