/**
 * This function wraps the JSON.stringify call, by altering the stringification process
 * for joynr types
 * @param value to be stringified
 * @returns the value in JSON notation
 */
export declare function stringify(value: any): string;
/**
 * Utility function to either call JSON.stringify directly or with stringify replacement function
 * @param value to be stringified
 * @param omitReplacement
 * @returns the value in JSON notation
 */
export declare function stringifyOptional(value: any, omitReplacement: boolean): string;
