/**
 * @param operationArguments Arguments coming from the proxy or provider
 * @param parameters List of parameters for the operationArguments
 * @returns Object in the form of { paramDatatypes: [Array of types], params: [Array of values] };
 */
export declare function transformParameterMapToArray(operationArguments: Record<string, any>, parameters: {
    name: string;
    type: string;
}[]): {
    paramDatatypes: any[];
    params: any[];
};
