"use strict";
const LocalAddress = require("./LocalAddress");
/**
 * This is the generated struct type BinderAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>BinderAddress client address
 */
class BinderAddress extends LocalAddress {
    /**
     * @param members - an object containing the individual member elements
     * @param members.packageName - BinderAddress package name
     * @param members.userId - BinderAddress process user ID
     */
    constructor(members) {
        super(members);
        this._typeName = "joynr.system.RoutingTypes.BinderAddress";
        if (members) {
            this.packageName = members.packageName;
            this.userId = members.userId;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.packageName, "String", "members.packageName");
        _check(_instance.userId, "Number", "members.userId");
    }
    static getMemberType(memberName) {
        if (BinderAddress._memberTypes[memberName] !== undefined) {
            return BinderAddress._memberTypes[memberName];
        }
    }
}
BinderAddress._typeName = "joynr.system.RoutingTypes.BinderAddress";
/**
 * The MAJOR_VERSION of the struct type BinderAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
BinderAddress.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type BinderAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
BinderAddress.MINOR_VERSION = 0;
BinderAddress._memberTypes = {
    packageName: "String",
    userId: "Integer"
};
module.exports = BinderAddress;
