import Address = require("./Address");
declare namespace BrowserAddress {
    interface BrowserAddressMembers {
        windowId: string;
    }
}
/**
 * This is the generated struct type BrowserAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Browser address
 */
declare class BrowserAddress extends Address {
    static _typeName: string;
    _typeName: string;
    /**
     * the ID of the browser window
     */
    windowId: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.windowId - the ID of the browser window
     */
    constructor(members: BrowserAddress.BrowserAddressMembers);
    static checkMembers(_instance: BrowserAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type BrowserAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type BrowserAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = BrowserAddress;
