import Address = require("./Address");
declare namespace ChannelAddress {
    interface ChannelAddressMembers {
        messagingEndpointUrl: string;
        channelId: string;
    }
}
/**
 * This is the generated struct type ChannelAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Channel Address
 */
declare class ChannelAddress extends Address {
    static _typeName: string;
    _typeName: string;
    /**
     * Url of HTTP-based message receiver
     */
    messagingEndpointUrl: string;
    /**
     * Channel identification
     */
    channelId: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.messagingEndpointUrl - Url of HTTP-based message receiver
     * @param members.channelId - Channel identification
     */
    constructor(members: ChannelAddress.ChannelAddressMembers);
    static checkMembers(_instance: ChannelAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type ChannelAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type ChannelAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = ChannelAddress;
