"use strict";
const JoynrEnum = require("../../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type MqttProtocol: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:38 CET 2022
 * 	* <br/><br/>MQTT protocol type
 */
class MqttProtocol extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.system.RoutingTypes.MqttProtocol";
    }
}
MqttProtocol._typeName = "joynr.system.RoutingTypes.MqttProtocol";
/**
 * The MAJOR_VERSION of the enum type MqttProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
 */
MqttProtocol.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type MqttProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
 */
MqttProtocol.MINOR_VERSION = 0;
/**
 * <br/><br/>TCP (non-secure)
 */
MqttProtocol.TCP = new MqttProtocol({
    name: "TCP",
    value: "TCP"
});
/**
 * <br/><br/>MQTT (non-secure)
 */
MqttProtocol.MQTT = new MqttProtocol({
    name: "MQTT",
    value: "MQTT"
});
/**
 * <br/><br/>MQTT (secure)
 */
MqttProtocol.MQTTS = new MqttProtocol({
    name: "MQTTS",
    value: "MQTTS"
});
module.exports = MqttProtocol;
