"use strict";
const LocalAddress = require("./LocalAddress");
/**
 * This is the generated struct type UdsClientAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Unix domain socket client address
 */
class UdsClientAddress extends LocalAddress {
    /**
     * @param members - an object containing the individual member elements
     * @param members.id - Unix domain socket client ID
     */
    constructor(members) {
        super(members);
        this._typeName = "joynr.system.RoutingTypes.UdsClientAddress";
        if (members) {
            this.id = members.id;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.id, "String", "members.id");
    }
    static getMemberType(memberName) {
        if (UdsClientAddress._memberTypes[memberName] !== undefined) {
            return UdsClientAddress._memberTypes[memberName];
        }
    }
}
UdsClientAddress._typeName = "joynr.system.RoutingTypes.UdsClientAddress";
/**
 * The MAJOR_VERSION of the struct type UdsClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
UdsClientAddress.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type UdsClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
UdsClientAddress.MINOR_VERSION = 0;
UdsClientAddress._memberTypes = {
    id: "String"
};
module.exports = UdsClientAddress;
