import LocalAddress = require("./LocalAddress");
import WebSocketProtocol = require("./WebSocketProtocol");
declare namespace WebSocketAddress {
    interface WebSocketAddressMembers {
        protocol: WebSocketProtocol;
        host: string;
        port: number;
        path: string;
    }
}
/**
 * This is the generated struct type WebSocketAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Websocket address
 */
declare class WebSocketAddress extends LocalAddress {
    static _typeName: string;
    _typeName: string;
    /**
     * Websocket protocol type
     */
    protocol: WebSocketProtocol;
    /**
     * Websocket host
     */
    host: string;
    /**
     * Websocket port
     */
    port: number;
    /**
     * Websocket path
     */
    path: string;
    /**
     * @param members - an object containing the individual member elements
     * @param members.protocol - Websocket protocol type
     * @param members.host - Websocket host
     * @param members.port - Websocket port
     * @param members.path - Websocket path
     */
    constructor(members: WebSocketAddress.WebSocketAddressMembers);
    static checkMembers(_instance: WebSocketAddress, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type WebSocketAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type WebSocketAddress is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = WebSocketAddress;
