"use strict";
const LocalAddress = require("./LocalAddress");
/**
 * This is the generated struct type WebSocketClientAddress: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:38 CET 2022
 * <br/><br/>Websocket client address
 */
class WebSocketClientAddress extends LocalAddress {
    /**
     * @param members - an object containing the individual member elements
     * @param members.id - Websocket client ID
     */
    constructor(members) {
        super(members);
        this._typeName = "joynr.system.RoutingTypes.WebSocketClientAddress";
        if (members) {
            this.id = members.id;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.id, "String", "members.id");
    }
    static getMemberType(memberName) {
        if (WebSocketClientAddress._memberTypes[memberName] !== undefined) {
            return WebSocketClientAddress._memberTypes[memberName];
        }
    }
}
WebSocketClientAddress._typeName = "joynr.system.RoutingTypes.WebSocketClientAddress";
/**
 * The MAJOR_VERSION of the struct type WebSocketClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
WebSocketClientAddress.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type WebSocketClientAddress is GENERATED FROM THE INTERFACE DESCRIPTION
 */
WebSocketClientAddress.MINOR_VERSION = 0;
WebSocketClientAddress._memberTypes = {
    id: "String"
};
module.exports = WebSocketClientAddress;
