"use strict";
const JoynrEnum = require("../../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type WebSocketProtocol: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:38 CET 2022
 * 	* <br/><br/>Websocket protocol type
 */
class WebSocketProtocol extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.system.RoutingTypes.WebSocketProtocol";
    }
}
WebSocketProtocol._typeName = "joynr.system.RoutingTypes.WebSocketProtocol";
/**
 * The MAJOR_VERSION of the enum type WebSocketProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
 */
WebSocketProtocol.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type WebSocketProtocol is GENERATED FROM THE INTERFACE DESCRIPTION
 */
WebSocketProtocol.MINOR_VERSION = 0;
/**
 * <br/><br/>Websocket (non-secure)
 */
WebSocketProtocol.WS = new WebSocketProtocol({
    name: "WS",
    value: "WS"
});
/**
 * <br/><br/>Websocket (secure)
 */
WebSocketProtocol.WSS = new WebSocketProtocol({
    name: "WSS",
    value: "WSS"
});
module.exports = WebSocketProtocol;
