"use strict";
const JoynrCompound = require("../../../joynr/types/JoynrCompound");
/**
 * This is the generated struct type CustomParameter: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:39 CET 2022
 * <br/><br/>a custom parameter consisting of a name and a value
 */
class CustomParameter extends JoynrCompound {
    /**
     * @param members - an object containing the individual member elements
     * @param members.name - the name of the custom parameter
     * @param members.value - the value of the custom parameter
     */
    constructor(members) {
        super();
        this._typeName = "joynr.types.CustomParameter";
        if (members) {
            this.name = members.name;
            this.value = members.value;
        }
    }
    static checkMembers(_instance, _check) {
        _check(_instance.name, "String", "members.name");
        _check(_instance.value, "String", "members.value");
    }
    static getMemberType(memberName) {
        if (CustomParameter._memberTypes[memberName] !== undefined) {
            return CustomParameter._memberTypes[memberName];
        }
    }
}
CustomParameter._typeName = "joynr.types.CustomParameter";
/**
 * The MAJOR_VERSION of the struct type CustomParameter is GENERATED FROM THE INTERFACE DESCRIPTION
 */
CustomParameter.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the struct type CustomParameter is GENERATED FROM THE INTERFACE DESCRIPTION
 */
CustomParameter.MINOR_VERSION = 0;
CustomParameter._memberTypes = {
    name: "String",
    value: "String"
};
module.exports = CustomParameter;
