"use strict";
const JoynrEnum = require("../../../joynr/types/JoynrEnum");
/**
 * This is the generated enum type DiscoveryError: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * Generation date: Tue Dec 06 19:27:39 CET 2022
 * 	* <br/><br/>Modeled error cases for the new add, lookup and remove methods.
 */
class DiscoveryError extends JoynrEnum {
    constructor({ name, value }) {
        super(name, value);
        this._typeName = "joynr.types.DiscoveryError";
    }
}
DiscoveryError._typeName = "joynr.types.DiscoveryError";
/**
 * The MAJOR_VERSION of the enum type DiscoveryError is GENERATED FROM THE INTERFACE DESCRIPTION
 */
DiscoveryError.MAJOR_VERSION = 0;
/**
 * The MINOR_VERSION of the enum type DiscoveryError is GENERATED FROM THE INTERFACE DESCRIPTION
 */
DiscoveryError.MINOR_VERSION = 0;
/**
 * <br/><br/>GBID is not known to the Global Capabilities Directory instance.
 */
DiscoveryError.UNKNOWN_GBID = new DiscoveryError({
    name: "UNKNOWN_GBID",
    value: "UNKNOWN_GBID"
});
/**
 * <br/><br/>GBID is invalid, e.g. empty.
 */
DiscoveryError.INVALID_GBID = new DiscoveryError({
    name: "INVALID_GBID",
    value: "INVALID_GBID"
});
/**
 * <br/><br/>No entry for the requested participant ID (lookup, remove).
 */
DiscoveryError.NO_ENTRY_FOR_PARTICIPANT = new DiscoveryError({
    name: "NO_ENTRY_FOR_PARTICIPANT",
    value: "NO_ENTRY_FOR_PARTICIPANT"
});
/**
 * <br/><br/>At least one matching entry is available but not for the selected backends
 * (lookup, remove).
 */
DiscoveryError.NO_ENTRY_FOR_SELECTED_BACKENDS = new DiscoveryError({
    name: "NO_ENTRY_FOR_SELECTED_BACKENDS",
    value: "NO_ENTRY_FOR_SELECTED_BACKENDS"
});
/**
 * <br/><br/>internal error in the Global Capabilities Directory.
 */
DiscoveryError.INTERNAL_ERROR = new DiscoveryError({
    name: "INTERNAL_ERROR",
    value: "INTERNAL_ERROR"
});
module.exports = DiscoveryError;
