import JoynrCompound = require("../../../joynr/types/JoynrCompound");
declare namespace Version {
    interface VersionMembers {
        majorVersion: number;
        minorVersion: number;
    }
}
/**
 * This is the generated struct type Version: DOCS GENERATED FROM INTERFACE DESCRIPTION
 * <br/>Generation date: Tue Dec 06 19:27:39 CET 2022
 * <br/><br/>a version information
 */
declare class Version extends JoynrCompound {
    static _typeName: string;
    _typeName: string;
    /**
     * the major version id
     */
    majorVersion: number;
    /**
     * the minor version id
     */
    minorVersion: number;
    /**
     * @param members - an object containing the individual member elements
     * @param members.majorVersion - the major version id
     * @param members.minorVersion - the minor version id
     */
    constructor(members: Version.VersionMembers);
    static checkMembers(_instance: Version, _check: Function): void;
    /**
     * The MAJOR_VERSION of the struct type Version is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MAJOR_VERSION: number;
    /**
     * The MINOR_VERSION of the struct type Version is GENERATED FROM THE INTERFACE DESCRIPTION
     */
    static MINOR_VERSION: number;
    static readonly _memberTypes: Record<string, string>;
    static getMemberType(memberName: string): string | undefined;
}
export = Version;
