import DiscoveryEntry from "../../../generated/joynr/types/DiscoveryEntry";
import * as DiscoveryEntryWithMetaInfo from "../../../generated/joynr/types/DiscoveryEntryWithMetaInfo";
import DiscoveryQosGen from "../../../generated/joynr/types/DiscoveryQos";
export interface DiscoveryStub {
    lookupByParticipantId(participantId: string, discoveryQos: DiscoveryQosGen, gbids: string[]): Promise<DiscoveryEntryWithMetaInfo>;
    lookup(domains: string[], interfaceName: string, discoveryQos: DiscoveryQosGen, gbids: string[]): Promise<DiscoveryEntryWithMetaInfo[]>;
    add(discoveryEntry: DiscoveryEntry, awaitGlobalRegistration: boolean, gbIds: string[]): Promise<void>;
    addToAll(discoveryEntry: DiscoveryEntry, awaitGlobalRegistration: boolean): Promise<void>;
    remove(participantId: string): Promise<void>;
}
