export interface MulticastPublicationSettings {
    multicastId: string;
    response?: any;
    error?: Record<string, any>;
}
export interface MulticastPublication extends MulticastPublicationSettings {
    _typeName: "joynr.MulticastPublication";
}
/**
 * @name MulticastPublication
 * @constructor
 *
 * @param settings.multicastId
 * @param settings.response
 * @param settings.error The exception object in case of publication failure
 */
export declare function create(settings: MulticastPublicationSettings): MulticastPublication;
