import MulticastSubscriptionQos from "../../proxy/MulticastSubscriptionQos";
declare class MulticastSubscriptionRequest {
    qos: MulticastSubscriptionQos;
    subscribedToName: string;
    subscriptionId: string;
    multicastId: string;
    _typeName: string;
    static _typeName: string;
    /**
     * @constructor
     * @param settings.subscriptionId Id of the new subscription
     * @param settings.subscribedToName the name of the element to subscribe to
     * @param [settings.subscriptionQos] the subscriptionQos
     */
    constructor(settings: {
        subscriptionId: string;
        subscribedToName: string;
        multicastId: string;
        qos?: MulticastSubscriptionQos;
    });
}
export = MulticastSubscriptionRequest;
