export interface SubscriptionPublicationSettings {
    subscriptionId: string;
    response?: any;
    error?: Record<string, any>;
}
export interface SubscriptionPublication extends SubscriptionPublicationSettings {
    /**
     * The joynr type name
     */
    _typeName: "joynr.SubscriptionPublication";
}
/**
 * @param settings.subscriptionId
 * @param settings.response
 * @param settings.error The exception object in case of publication failure
 */
export declare function create(settings: SubscriptionPublicationSettings): SubscriptionPublication;
