import SubscriptionException = require("../../exceptions/SubscriptionException");
declare class SubscriptionReply {
    subscriptionId: string;
    error?: SubscriptionException;
    /**
     * The joynr type name
     */
    _typeName: string;
    /**
     * @param settings
     * @param settings.subscriptionId
     * @param [settings.error] The exception object in case of subscription request failure
     */
    constructor(settings: {
        subscriptionId: string;
        error?: SubscriptionException;
    });
}
export = SubscriptionReply;
