import JoynrRuntimeException from "./JoynrRuntimeException";
declare class DiscoveryException extends JoynrRuntimeException {
    name: string;
    /**
     * Used for serialization.
     */
    _typeName: string;
    /**
     * Constructor of DiscoveryException object used for reporting
     * error conditions during discovery and arbitration.
     *
     * @param [settings] the settings object for the constructor call
     * @param [settings.detailMessage] message containing details
     *            about the error
     */
    constructor(settings: {
        detailMessage: string;
    });
    static _typeName: string;
}
export = DiscoveryException;
