import WebMessagingStub = require("../webmessaging/WebMessagingStub");
import JoynrMessage = require("../JoynrMessage");
declare class BrowserMessagingStub {
    private settings;
    /**
     * @constructor
     *
     * @param settings
     * @param [settings.windowId] the destination windowId to send the messages to, defaults to defaultWindowId of master tab
     * @param settings.webMessagingStub an initialized sender that has the default window already set
     */
    constructor(settings: {
        windowId?: string;
        webMessagingStub: WebMessagingStub;
    });
    /**
     * @param joynrMessage the joynr message to transmit
     */
    transmit(joynrMessage: JoynrMessage): Promise<void>;
}
export = BrowserMessagingStub;
