import InProcessMessagingStub from "./InProcessMessagingStub";
import InProcessAddress = require("./InProcessAddress");
/**
 * @constructor
 * @name InProcessMessagingStubFactory
 */
declare class InProcessMessagingStubFactory {
    /**
     * @param address the address to generate a messaging stub for
     */
    build(address: InProcessAddress): InProcessMessagingStub;
}
export = InProcessMessagingStubFactory;
