import * as MqttAddress from "../../../generated/joynr/system/RoutingTypes/MqttAddress";
import MqttMessagingStub from "./MqttMessagingStub";
import SharedMqttClient = require("./SharedMqttClient");
declare class MqttMessagingStubFactory {
    private readonly client;
    /**
     * @constructor
     * @param settings
     * @param settings.client the mqtt client
     */
    constructor(settings: {
        client: SharedMqttClient;
    });
    build(address: MqttAddress): MqttMessagingStub;
}
export = MqttMessagingStubFactory;
