import MqttAddress from "../../../generated/joynr/system/RoutingTypes/MqttAddress";
import JoynrMessage = require("../JoynrMessage");
declare class MqttMulticastAddressCalculator {
    private globalAddress;
    /**
     * @constructor MqttMulticastAddressCalculator
     * @param settings
     * @param settings.globalAddress
     */
    constructor(settings: {
        globalAddress: MqttAddress;
    });
    /**
     * Calculates the multicast address for the submitted joynr message
     *
     * @param message
     * @returns the multicast address
     */
    calculate(message: JoynrMessage): MqttAddress;
}
export = MqttMulticastAddressCalculator;
