/// <reference types="node" />
declare class MagicCookieUtil {
    static OFFSET_BEGIN_COOKIE: number;
    static OFFSET_END_COOKIE: number;
    static OFFSET_BEGIN_PAYLOAD_LENGTH: number;
    static OFFSET_BEGIN_PAYLOAD: number;
    /** Magic cookie precedes every init-frame */
    static INIT_COOKIE: string;
    /** Magic cookie precedes every message-frame */
    static MESSAGE_COOKIE: string;
    /** placeholder for magic cookie is 4 bytes + placeholder for payload length is 4 bytes */
    static MAGIC_COOKIE_AND_PAYLOAD_LENGTH: number;
    static getPayloadBuff(data: Buffer): Buffer;
    static getPayloadLength(data: Buffer): number;
    static getMagicCookieBuff(data: Buffer): Buffer;
    static writeMagicCookies(serializedJoynrMessageBuff: Buffer, magicCookie: string): Buffer;
    static checkCookie(internBuff: Buffer): boolean;
}
export = MagicCookieUtil;
