import SharedWebSocket = require("./SharedWebSocket");
import JoynrMessage = require("../JoynrMessage");
declare class WebSocketMessagingStub {
    private sharedWebSocket;
    /**
     * @constructor
     * @param settings
     * @param settings.sharedWebSocket to which messages are sent on the clustercontroller.
     */
    constructor(settings: {
        sharedWebSocket: SharedWebSocket;
    });
    /**
     * @param joynrMessage the joynr message to transmit
     */
    transmit(joynrMessage: JoynrMessage): Promise<void>;
}
export = WebSocketMessagingStub;
