"use strict";
class WebSocketMessagingStub {
    /**
     * @constructor
     * @param settings
     * @param settings.sharedWebSocket to which messages are sent on the clustercontroller.
     */
    constructor(settings) {
        this.sharedWebSocket = settings.sharedWebSocket;
    }
    /**
     * @param joynrMessage the joynr message to transmit
     */
    transmit(joynrMessage) {
        return this.sharedWebSocket.send(joynrMessage);
    }
}
module.exports = WebSocketMessagingStub;
