import * as WebSocketAddress from "../../../generated/joynr/system/RoutingTypes/WebSocketAddress";
import WebSocketMessagingStub from "./WebSocketMessagingStub";
import SharedWebSocket = require("./SharedWebSocket");
declare class WebSocketMessagingStubFactory {
    private webSocketMessagingStub;
    /**
     * @constructor
     * @param settings
     * @param settings.sharedWebSocket to the websocket server
     * @param settings.address of the websocket for the websocket server
     */
    constructor(settings: {
        sharedWebSocket: SharedWebSocket;
        address: WebSocketAddress;
    });
    build(_address: WebSocketAddress): WebSocketMessagingStub;
}
export = WebSocketMessagingStubFactory;
