"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const WebSocketMessagingStub_1 = __importDefault(require("./WebSocketMessagingStub"));
class WebSocketMessagingStubFactory {
    /**
     * @constructor
     * @param settings
     * @param settings.sharedWebSocket to the websocket server
     * @param settings.address of the websocket for the websocket server
     */
    constructor(settings) {
        this.webSocketMessagingStub = new WebSocketMessagingStub_1.default({
            sharedWebSocket: settings.sharedWebSocket
        });
    }
    build(_address) {
        return this.webSocketMessagingStub;
    }
}
module.exports = WebSocketMessagingStubFactory;
