interface BroadcastFilterParameters {
    /** setter functions **/
    [key: string]: ((arg: any) => BroadcastFilterParameters) | any;
}
declare class BroadcastFilterParameters {
    _typeName: string;
    filterParameters: Record<string, any> | null;
    /**
     * Constructor of BroadcastFilterParameters object used for subscriptions in generated proxy objects
     *
     * @param [filterParameterProperties] the filterParameters object for the constructor call
     *
     * @returns {BroadcastFilterParameters} a BroadcastFilterParameters Object for subscriptions on broadcasts
     */
    constructor(filterParameterProperties?: Record<string, any>);
}
export = BroadcastFilterParameters;
