import JoynrMessage from "../messaging/JoynrMessage";
/**
 * @param joynrMessage
 * @returns object to be logged
 */
export declare function forJoynrMessage(joynrMessage: JoynrMessage): any;
/**
 * @param channelInfo.channelUrl
 * @param channelInfo.channelId
 * @param channelInfo.status
 * @param channelInfo.responseText
 */
export declare function forChannel(channelInfo: {
    channelUrl: string;
    channelId: string;
    status: string;
    responseText: string;
}): any;
/**
 * @param requestInfo
 */
export declare function forRequest(requestInfo: Record<string, any>): any;
/**
 * @param requestInfo
 */
export declare function forOneWayRequest(requestInfo: Record<string, any>): any;
/**
 * @param replyInfo
 */
export declare function forReply(replyInfo: Record<string, any>): Record<string, any>;
/**
 * @param subscriptionReplyInfo
 */
export declare function forSubscriptionReply(subscriptionReplyInfo: Record<string, any>): any;
/**
 * @param subscriptionRequestInfo
 */
export declare function forMulticastSubscriptionRequest(subscriptionRequestInfo: Record<string, any>): any;
/**
 * @param subscriptionRequestInfo
 */
export declare function forBroadcastSubscriptionRequest(subscriptionRequestInfo: Record<string, any>): any;
/**
 * @param subscriptionRequestInfo
 */
export declare function forSubscriptionRequest(subscriptionRequestInfo: Record<string, any>): any;
/**
 * @param subscriptionStopInfo
 */
export declare function forSubscriptionStop(subscriptionStopInfo: Record<string, any>): any;
/**
 * @param publicationInfo
 */
export declare function forPublication(publicationInfo: Record<string, any>): Record<string, any>;
/**
 * @param publicationInfo - multicast publication info
 */
export declare function forMulticastPublication(publicationInfo: Record<string, any>): Record<string, any>;
